Ubuntu

Dash - Remove Dash Home shortcut icons

Reported by John Lea on 2011-11-03
264
This bug affects 55 people
Affects Status Importance Assigned to Milestone
Ayatana Design
High
John Lea
Music Lens
High
Mikkel Kamstrup Erlandsen
Unity
High
Mikkel Kamstrup Erlandsen
unity-2d
High
Tiago Salem Herrmann
unity-lens-applications
High
Mikkel Kamstrup Erlandsen
unity-lens-files
High
Mikkel Kamstrup Erlandsen
unity-2d (Ubuntu)
High
Tiago Salem Herrmann
unity (Ubuntu)
High
Mikkel Kamstrup Erlandsen
unity-lens-applications (Ubuntu)
High
Mikkel Kamstrup Erlandsen
unity-lens-files (Ubuntu)
High
Mikkel Kamstrup Erlandsen
unity-lens-music (Ubuntu)
High
Mikkel Kamstrup Erlandsen

Bug Description

The eight icons displayed on the Dash Home screen before a search is performed need to be removed. They no longer serve a relevant purpose with the Dash and Launcher performing all required launching functions. Additionally user testing has shown that they are a cause of confusion and difficulty, as they launch programs but lack the other features inherent to the other icons that are present in the dash.

Desired Solution:
- Remove the 8 large icon links on the Dash Home

Implement the following two options for user testing, with a means to toggle between the two options for user testing:

- Option 1: Replace with a default view (as used by the other Lenses) showing the following category headers: "Recently Used Apps" (excludes apps currently in the Launcher), "Recent Files", and "Recent Downloads". The icons used for the category headers should be the same as used for the equivalent category headers in the Lenses (except, the music lens should collate Songs and Albums into one Music category).

- Option 2: Do not replace the icons with anything, the Dash should vertically resize.

---------------

IMPLEMENTATION STATUS:
Everything mostly working. Except for the first item below we are about ready to merge-propose:

- Add a few more tests cases to the rather complex HomeLens class

- Music lens to collate results into one category (wip by mhr3)

- Recent Apps doesn't filter out running apps that are not favorites (wip by mhr3)

- Unity2d enablement (should be easy, by design of the HomeLens class)

John Lea (johnlea) on 2011-11-03
tags: added: udp
Changed in ayatana-design:
assignee: nobody → John Lea (johnlea)
importance: Undecided → High
status: New → Triaged
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
John Lea (johnlea) on 2011-11-03
Changed in unity (Ubuntu):
status: Confirmed → New
Changed in unity (Ubuntu):
status: New → Confirmed
John Lea (johnlea) on 2011-11-03
Changed in unity:
assignee: nobody → John Lea (johnlea)
assignee: John Lea (johnlea) → Mirco Müller (macslow)

There are some interesting work in how to architect this under the hood, I'll try to grab the relevant DXers and community hackers to think it through.

Changed in unity:
status: New → Confirmed
importance: Undecided → High
assignee: Mirco Müller (macslow) → nobody
manny (estelar57) wrote :

would some of the apps that have been *recently installed* also show on this new default view for users to find easily ?

John Lea (johnlea) on 2011-11-03
description: updated

@John; may I suggest that we show *recent apps* in stead of most used? Many have pointed out the redundancy of the Most Used apps with the launcher. What I find from my own usage patterns is that there are some apps that I uses maybe 5 times every 2 months, but these 5 times falls on the same- or two succeeding days.

Fx. using the calculator when I am doing my taxes. I do this rarely and I otherwise don't use the calculator, so I don't want it in the launcher and it never appears in Most Used.

On my android phone I can access the most recent apps with a long press on the home button. I use this when I am driving fx: Before I leave home I use the Maps app to check my route. I don't have a shortcut to the Maps apps so I dig it out of the menu. 3 times on my way to my destination I get lost an need to recheck the route[1]. This is easy because I can just long-press home to find the Maps app again.

[1]: 3 times is underexaggerated of course, /me trying to save face... ;-P

At the least, we could remove the apps on the launcher form the Most
Used list.

I would consider the possibility of reading $HOME/.dash (or other per-user configuration file) in the format:
[Name of Program]
Path-to-icon
Path-to-program

Pretty much like it was hardcoded. The we use Quickly or something to add a "Dash Home" setup option in the settings. I know some situations in which people may want to add stuff there. Ex. CIOs want to put shortcuts to their ERP/CRM apps there, etc.

If the above file was not found then load defaults. Defaults could be something simple like Ubuntu Help, Ubuntu.com, Internet Browser, E-Mail, etc.

manny (estelar57) wrote :

>If the above file was not found then load defaults. Defaults could be something simple like Ubuntu Help, Ubuntu.com, Internet Browser, E-Mail, etc.

I like the idea of the ubuntu-help / desktop-guide being more prominent (either when you open the dash or on the launcher) or as one of the default elements an user can quickly spot on a new install.

The learning curve can take a few weeks. And the first thing an user should do is spot "the manual" for the product in case he/she cant find something.

The user tests did reveal that some users get lost or cant find some elements.
http://www.omgubuntu.co.uk/2011/11/user-testing-of-unity-reveals-some-surprising-results

>>I like the idea of the ubuntu-help / desktop-guide being more prominent
Me too. Being on General Help / Ubuntu+1 and forums in my country, it's obvious some people fail to find help sources sometimes. Some mention great effort to finally locate the forum... I suggest, going a little further, adding Ubuntu.com or UbuntuForums.com to the default launchers.

BTW, I have changed Unity to look for a file named ~/.dash_home at $HOME of the logged in $USER (could be any file of course, I was just testing). If it finds the file, it loads his own 8 (or less) custom shortcuts to dash home (see screenshot). If it doesn't find the file, it loads distro harcoded defaults.

Kind Regards,
Effenberg

manny, Effenberg0x0: While your idea is simple and would be an improvement over the current state, it still doesn't address the root problem I think: That the tile/buttons on the home screen are a) superflouos b) has unclear semantics (will it launch a new instance?) c) never used (ever).

John's proposals in the bug description addresses these problems better. Option2) obviously because it gets rid of the buttons all together and 1) because it replaces the buttons with something that is similar to the rest of the dash *and* fills it with stuff you're more likely to seek.

Download full text (3.3 KiB)

HI Mikkel, I have been using my custom Dash Home area for some time now (I changed it to support 15 icons, as a test) and I find it very practical to have the possibility of customizing its contents.

The underlying concept of a "shortcut" should be that it relates to the specific needs of the current user in a way that speeds up PC use or make it's use more comfortable. Pre-set shortcuts fail to address both issues. Not having shortcuts configurable anywhere in the dash also won't address this issue. (And we certainly know one of the most frequent complains of Unity users is the lack of customization possibilities right now). The launcher is limited, in the sense that it supports some shortcuts, but it gets cluttered easily as more shortcuts are added.

Considering the dash button is the first place a new user will click when starting on Ubuntu, and that everyday users will click it many times, I find the shortcuts area are placed in the best possible place, but only as long as it allows for real shortcuts (that fulfill the characteristics described above). That area is properly placed and is an asset, which real value we should not disregard or eliminate.

Many Ubuntu users have no idea of the existence of placed like Ubuntu.com, UbuntuForums.com, Askubuntu.com, local online communities and forums, or of the included manual that ships with the product. I feel like we can create a boost in the online Ubuntu community by placing some or any of these options right there in the shortcuts, while keeping the area customizable.

Editing each user's $HOME/.dash can easily be done, not only by hand, but by a "Customize Dash Shortcuts" option in the Settings panel. Technically, it doesn't take much more than a couple hours to create an app to read and write to this file there. I feel like the "Settings" and "Customize Dash Shortcuts" icons maybe should also be in the shortcuts by default.

Considering the current accusations we face, that Unity is not customizable enough, it would represent a small effort but show good will on the part of developers towards new users to:

a) Have the shortcuts area customizable.
b) Include an icon, in the shortcuts area, to launch the customization app.
c) Include an icon, in the shortcuts area, to launch the settings panel.
d) Include an icon, in the shortcuts area, to open the offline manual.
e) Include an icon, in the shortcuts area, to open ubuntu.com or ubuntuforums.com.

Also, now talking about how companies use Ubuntu:
When I look at professional implementations of Ubuntu, in talks with CIOs, I know they don't want to have "Play Music", View Photos", "Have Fun", etc as the first thing their employees will see on Ubuntu. They want to have shortcuts to professional applications, such as ERP, CRM, Intranet Portal, etc. If we eliminate this shortcuts area, we will depend exclusively on companies creating launcher shortcuts for these. Why not use the existing shortcuts area to provide for such need?

I do value John's Option #1. I think it would be wonderful if would have a symbol of a "Clock" in the lenses bar that displays such information (recent dloads, recent apps, recent docs, recent *). But I still fin...

Read more...

manny (estelar57) wrote :

@kamstrup

for myself i like option #1 since my dash already shows fullscreen.

would be weird to have a fullscreen dash that is empty...

as option #2 if some people want it (i believe for a non fullscreen dash), then i see no reason why not to include that option.

As for the help/desktop-guide/manual and other helpful items, am not saying they should be permanent, but something that would show on a brand new desktop (specially useful for new users). Now as the user becomes more advance he/she can start using the system as intended and other items would start replacing the "most frequently used" / "recently used".

At least that is how i see it.

Owais Lone (loneowais) wrote :

I think option 2 is best. Option 1 doesn't seem to be that great because of the above mentioned reasons like most used apps are already in dash, doesn't fit in well with the rest of the lenses etc.

I can see dash replacing the desktop if some areas are worked upon.

1) Disabled nautilus desktop
2) Force Dash to be always open + maximized but hide beneath all open windows.
3) Make super key to raise dash above all windows.
4) Dash home should not have categories but one single, large, continuous area to hold shortcuts to files and apps (no seperation).
5) Items should be rearrangeable using drag and drop.
6) Let users easily add shortcuts for files, folders and apps to home screen of dash by simply dropping on it.

This way we can solve this problem, unify dash + desktop and this can work quite well as a home screen for mobile version of unity.

Ngassam Nkwenga (cyrildz) wrote :

Hello all,

I have yesterday submitted on Ayatana an Idea about the Dash Home Screen. , when reading a thread about mockup I saw this bug report and decided I could post here my idea, may be point could be interesting for you. I paste here the description I gave on Ayatana :

Currently , in Unity there is not a good way to manage multiple windows of the same Instance. up to now it is not worse, we can deal with it. but what if I want to have a sight of my whole Activity ? Expose or Grid doesn't give an answer. That what my design try to solve, and by the way , indirectly propose a way to manage multiple windows (instances) of the same apps. that is the core of the Dash, and as extra, We have a Pinned App category, Available Updates ( sorry in the pic I wrote "availible" , don't blame me for that) and option to shutdown , log out, lock screen and more.

before you ask : why is Gedit doing in the development Category ? The answer is : As gedit is running, the Dash looks for the extension of the opened files. If it is one of a programming language : c, cpp, html, css, py, java ... then the Dash lists that instance in the Development Category.

The cross over the Pinned App just mean that clicking will unpin that App.
The cross over the App in Activity mean that clicking it will close that instance.

As you see, my proposal is to offer to the user the possibility to have a whole view of his activity and from it the possibility to manage his activity. For the Pinned category , the Pinned App would be a mix of the Launcher's pinned App and some app we don't use on the regular basic but when we do use it, we don't want to have to search for it and don't want it to appear in the Dock: MusicBrainz is such an example: I don't use it on a regular basis , but I do use it , once on the week, so having it pinned in the Dash would be good.
We could add to it an Entry for the recently Installed App, so we would no more need to add a just installed app to be able to locate it on the system: Our Activity View shows us what we are doing.

What is the advantage of this proposed design / solution :
1- brings an answer to the question " where is the app I have just installed ? "
2- Brings a good sight of the running App , so we could manage more windows of the same app without any problem
3- give the user the assurance that he has the control

Sorry the spelling , I'm not a native speaker.
And, yeah I did it with my Hand, sorry for the quality
Thanks

Changed in unity (Ubuntu):
importance: Undecided → High
Changed in unity:
status: Confirmed → Triaged
Changed in unity (Ubuntu):
status: Confirmed → Triaged

IMHO, having custom (user created, not default) shortcuts placed on the desktop is a legacy from ancient desktops and it always is complicated to use them if you have maximized apps (they are below the maximized app).

There is a limit to how many shortcuts one can have in the launcher bar in a usable form. A portion of users also need shortcuts with text, something the launcher bar can't fulfill (name displays only on hover).

Allowing the Shortcuts area to have real Shortcuts produces a gain in productivity (no need to minimize apps and find your shortcuts), an extension to the launcher bar and, at the very least, some degree of user customization, which is now something that has to be addressed.

Code-wise the change is very small (less than 20 lines of code added).

I can easily put this into lens. What is beginning to worry me is that, is all normal things, like having custom shortcuts, is gonna require lens, we're gonna need a larger lens bar soon.

James Jenner (james-g-jenner) wrote :

I think in relation to short cuts on the desktop that it should be noted not everyone runs applications maximised. Some people even have multiple monitors and may not run maximised applications on all monitors. This is the reason why widgets, gadgets and things like conky are popular, it provides information on the desktop where people can see them. The only complication for using shortcuts on a desktop is if you have maximised applications. Also consider the situation where you have multiple workspaces and can switch between workspaces. Also you can alt tab and choose to show the desktop (also a reason why windows has (had?) a quick launcher to minimise and restore all windows on the desktop). There is also more on the desktop than just shortcuts, files and folders can be on the desktop as well.

I don't agree with replacing the desktop with the lens. What metaphor is used in this design of a lens that replaces a desktop? If such an approach were to be taken then I think you would find that more and more features available on the desktop would have to be added to the default lens to satisfy users. While it may be valid for a low resolution device like a phone, I think for other areas it would be inappropriate and restrictive.

As for the lens discussion... I agree with removing the current icons, however IMHO my experience is that most recent applications and most recent files are the two most accessed items by users. After that the next items would be shortcuts to specific folders and then after that settings/administration. I think help would be last on the list.

The question is, what is the purpose of the lens? A window into the computer? A quick overview/entry into what is on the computer? or is it a portal to anything you would wish to do on your computer?

I think there is a danger here if too much is added to the default lens. Sure, most recent unread emails, im messages, tweets, feeds, etc could be interesting but then what are indicators for? If you go this path then there is an argument for moving settings/configuration, accounts, shutdown to the default lens as well. And then the next thing will be adding social networking services.

I'm not saying this is a bad thing, I'm just questioning if this is the direction that this should be headed. Personally I feel that integration of social network services may be a good thing, but is this the right place or should it be via indicators? Should email previews be added here or should it be via an indicator.

In summary, my vote would be to remove the current icons, add a summary of most recent applications and most recent files. Then I would support expert/advanced users by allowing configuration of what is shown on here and provide filters on what is shown for applications and documents (not how filters work now, but configurable filters that are remembered without taking up screen realestate, allowing a user to filter out specific applications or types of files).

I am running on very little free time for Ubuntu, so unfortunately I'm unsigning from this discussion and bug report.
I don't believe anyone will do anything in time for the LTS. At least not in a collaborative manner (something may simply show despite what is chosen as best option in this discussion). And whatever option they choose, I trust it to be the worst possible.
If you guys want to code this options go ahead and do it.
I'll continue to use my code and customizations to Unity in parallel code.

Thanks,
Effenberg

Danillo (danillo) wrote :

Removing the current icons and transfering a summary of the most recent applications and most recent files from the applications and files lenses to the mains lens would be great.

John Lea (johnlea) on 2011-11-21
Changed in unity:
milestone: none → backlog
John Lea (johnlea) wrote :

@kamstrup; agreed re. excluding items already in launcher, see bug https://bugs.launchpad.net/ubuntu/+source/unity/+bug/893214

@effenberg0x0; doing Dash home configurablity to a standard where it is delivers not just a good but a excellent experience and is usable by all types of users, not just hackers, will take a lot of design and development time and resource. The home screen links that we are removing were causing significant usability problems (evidenced in multiple iterations of controlled user testing in our lab) and in their current form are an impediment, especially to new users. Given the time and resource constraints we have to work with, and also because 12.04 is a LTS (for LTSs we try to avoid introducing major new functional areas), it will not be possible to build a great Dash home configuration story in this cycle. However if (and it is a big *if*) we get the time/resource to look at this area in the future, we will review this thread and use all the valuable input and ideas yourself and others have provided to help to kick off the design process. Thx for your time and effort posting to this thread.

manny (estelar57) wrote :

@John Lea (johnlea)

Yes, creating a design that will satisfy everyone is indeed challenging and time/resource consuming.

I still think some customability could be introduced.

for example bug #884123 suggests the ability to override the home lens. I would personally prefer jumping directly to the applications-lens, another person or institution might prefer another lens if they see that the current home lens is not useful for them. Currently lots of lenses being made available so most would like to set one as their favorite or "most used" and quickly access it by open the dash.

Imho a "dashboard" needs some customability to showcase whats more important for the person using it, else i dont know if the name fits it.

@John Lea (johnlea) Thanks for the reply John. I entirely understand the limitations and dynamics you mentioned. I like and use Unity both professionally and personally and am happy with it's current state. My personal view is that this is a mistake: Being present in forums, including Ubuntu one, and online communities, as well as seeing real life implementations of Ubuntu at work and clients, the constant complain I hear from users about it is it's lack of configurability - not the lack of yet a new lens (real users don't get default lens / won't install new lenses - this is for the "hackers").

Ex: Today I tried to help a visually challenged adult user at the forums who couldn't find a way to increase the mouse cursor to something he could see. It broke me inside. He blames Unity, as in "the efforts put on Ubuntu Software Center, lightdm, better blur for the dash, lenses, etc didn't take under consideration what visually impaired need". That's a real user need, hard to disagree.

But, considering what you mention, in terms of the absence of enough resources and this politics over the LTS (which was unknown to me), there's no way out. You gotta do what you gotta do. I can comprehend that.

Thanks for your attention to the issue.

Regards,
Effenberg

John Lea (johnlea) wrote :

@estelar57; bug #878318 will allow users to add icons for specific Lenses to their Launcher, I know this is not exactly what you are asking for but it will fulfil many of the same use cases.

Tim Penhey (thumper) on 2011-11-22
Changed in ayatana-design:
status: Triaged → Fix Committed
manny (estelar57) wrote :

@johnlea

Thanks John, that's an interesting alternative.

The concept of lenses in the launcher was in natty , but I personally didnt use it as i considered it duplication of the dash button (and now removed in oneiric), but am sure some will find it useful or want the feature back.

After some more thought, the real problem am experiencing is actually an annoying bug in the dash which doesn't remember the last lens the user is browsing and always defaults back to the home lens.

The dash lenses do remember the filters i used or the term i was searching for, which is a big plus! , but it doesnt remember the lens i was browsing...

So is not really that i needed to "override" the home lens for another lens, i just needed it to remember *what* i was doing and *where* i was.

After you close the session or after 10 or 15 mins of "dash inactivity" is Ok if it goes back to the home lens, but not after second...

Am not sure if this was already reported, i will search and if not I'll submit the issue.

Thanks.

Sebastien Bacher (seb128) wrote :

we had the lens selected being restored for a while previous cycle and that was really not a great idea since it breaks the keyboard "super-type-enter" workflow, it somewhat depends of your workflow, it's not because you browsed your files once that you want to keep doing that once you got what you were looking for there

manny (estelar57) wrote :

@Sebastien

ok i see.

but it seems the normal mouse users are becoming the second class citizens :o

"super-type-enter" is something only a power/kb user would use...

John Lea (johnlea) wrote :

 @estelar57; In Precise you will also be able to drag some/all of the Lens icons to the Launcher if you wish, see bug https://bugs.launchpad.net/ayatana-design/+bug/878318

manny (estelar57) wrote :

@Sebastien

oh, and i didnt want to imply that "keyboard power users" are not important.

but the system should differentiate between an user that uses the keyboard to navigate and an user that will never use it.

keyboard power user:
if am a keyboard user i want the behavior we have now.

normal mouse user:
but if i only used the mouse i would much prefer the dash remembering the lens i was on.

hybrid:
if i used the mouse and then switch to keyboard then the dash would go back to the home lens.

So in other words just hitting the "Super-Type-Enter" combo would bring back the dash to home lens and focus the search. I believe that's probably all that needs to be done in this case.

I know you guys are very busy and the dev cycle is short, so maybe there was no time to think about it or implement it.

Sebastien Bacher (seb128) wrote :

> but it seems the normal mouse users are becoming the second class citizens :o

no they are not, the issue is the same for mouse or keyboard users there, the question is to know if using a lens once means you are likely to use it again next time you go to the dash? it's like asking if opening google.com should default to google search or display google image for you if that's what you used the previous time you visited google...

manny (estelar57) wrote :

@Sebastien

>the question is to know if using a lens once means you are likely to use it again next time you go to the dash?

yea, that's also the problem, how do we know the user *always* wants to *search* every time he opens the dash?

that should also be a case study.

with keyboard users, looks like is particularly easy to identify they want to search by using the "Super-Type-Enter" combo.

Now, normal mouse users would see they are at another lens and click on the home lens if they want to make a "general search".

but i still dont think everyone just uses the dash just for searching. I mean i really want to use the lenses but it gets annoying everytime it defaults back.

However i did mentioned earlier that after X time of "dash-inactivity" (maybe after 2 or 3 minutes?) it would set back to the home lens.

Sebastien Bacher (seb128) wrote :

> yea, that's also the problem, how do we know the user *always* wants to *search* every time he opens the dash?

we don't, and that's not the case, there is probably cases where the same user will use a lens once for a specific reason and where it will use it several times for some reasons, there is not way to determine that from the software

> However i did mentioned earlier that after X time of "dash-inactivity" (maybe after 2 or 3 minutes?) it would set back to the home lens.

that would be confusing because the behaviour would be different over time for no good reason, it seems that users who use the same lens again and again should just add it to their launcher

manny (estelar57) wrote :

>> we don't, and that's not the case, there is probably cases where the same user will use a lens once for a specific reason and where it will use it several times for some reasons,

But imo that has been made the case here. It is suggested that the user opens the dash to always search and thus this has been made the default by always going back to the home lens.

To my understanding this behavior has been inherited from natty. As the apps and file lens were very difficult to use. So everyone just prefered not to waste time and search anyway instead of trying to use them. Now they are indeed easy and a lot more usable thanks to filters, filter-memory and other improvements.

users actually want to use theses lenses now not just search.

>> there is not way to determine that from the software

Maybe it could be determined. If the user has *actively* switched to a specific lens then it has already been determined that he/she wants to use that lens.

If the user wants to use the home lens he/she would just click on the home icon.

I mean if am using nautilus, minimize and then restore, i would like it to remember the last place i was browsing. I dont expect it to be a new instance (and back to home folder) everytime i restore it.

same with a website (i.e. amazon) if am browsing X department and i minimize and restore , i expect to be in the same place. If am lost and want to go to amazon home, i click on home.

this is how i feel with the dash. Is like i minimized it or switch to another app and then when i go back is like if it were a new instance... not remembering were i was.

am not sure how to put it, but thats the only feedback i can give you. Or maybe am just sounding confusing?

>> it seems that users who use the same lens again and again should just add it to their launcher.

sorry, is a good feature, but i would prefer not to add them to the launcher as mine is already pretty cluttered and i dont use them that frequently... but the days i do i have to access some of them multiple times in a short time period.

So i dont think it would work for me if am just using it heavily one day of the week ;/

Danillo (danillo) wrote :

Well, maybe what manny is saying could be implemented by giving the dash minimize button a real minimizing action that would be restored the next time the dash was opened and the close button something like a reset action. The current design, where the two buttons perform the same action, is kind of pointless.

manny (estelar57) wrote :

@Danillo

yes, i was thinking about exactly that. We have those 2 buttons that do the same and clicking outside the dash also does the same.

we also have the home-lens button if we want to go back to the home-lens.

the X could close and reset (like it is now).

David Barth (dbarth) on 2011-12-13
Changed in unity:
milestone: backlog → 4.26.0
Changed in unity-2d:
status: New → Triaged
importance: Undecided → High
milestone: none → 5.2
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity-2d (Ubuntu):
status: New → Confirmed
John Lea (johnlea) on 2011-12-16
description: updated
David Barth (dbarth) on 2011-12-16
Changed in unity:
milestone: 4.26.0 → 4.28.0
Omer Akram (om26er) on 2012-01-05
Changed in unity:
milestone: 4.28.0 → 5.2.0
milestone: 5.2.0 → backlog
John Lea (johnlea) on 2012-01-11
description: updated
Changed in unity:
assignee: nobody → Andrea Azzarone (andyrock)
Changed in unity (Ubuntu):
assignee: nobody → Andrea Azzarone (andyrock)
Changed in unity:
status: Triaged → In Progress
Changed in unity (Ubuntu):
status: Triaged → In Progress
Changed in unity:
assignee: Andrea Azzarone (andyrock) → Mikkel Kamstrup Erlandsen (kamstrup)
Changed in unity (Ubuntu):
assignee: Andrea Azzarone (andyrock) → nobody
Changed in unity-2d:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
Changed in unity-lens-applications:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
Changed in unity-lens-files:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
Changed in unity-2d:
assignee: Mikkel Kamstrup Erlandsen (kamstrup) → nobody
Changed in unity-lens-applications:
importance: Undecided → High
milestone: none → 5.0.2
status: New → In Progress
Changed in unity-lens-files:
importance: Undecided → High
milestone: none → 5.0.2
status: New → In Progress
Gord Allott (gordallott) on 2012-01-12
Changed in unity:
status: In Progress → Fix Committed
status: Fix Committed → In Progress
Didier Roche (didrocks) on 2012-01-12
Changed in unity-2d:
milestone: 5.2 → 5.4
Changed in unity-lens-applications (Ubuntu):
status: New → Confirmed
Changed in unity-lens-files (Ubuntu):
status: New → Confirmed
description: updated
description: updated
Changed in unity-lens-files (Ubuntu):
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → High
status: Confirmed → In Progress
Changed in unity-lens-music:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → High
milestone: none → 5.0.2
status: New → In Progress

Here's a WIP screenshot

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity-lens-music (Ubuntu):
status: New → Confirmed
manny (estelar57) wrote :

@kamstrup

Already looking good !!

Sorry to bother,

But if that screenshot shows the new home screen for the dash, it also could be cause of confussion for some users.

It gives the impression that the dash can only be used for "Recently" stuff, since the Downloads (Not recently...) is all the way to the bottom.

I hope that helps.

Chears!

description: updated
Jim Raredon (decoy-umd) wrote :

Especially if we're defaulting to "Recent" files on a dash open, I'm hoping we can have a reliable way to exclude certain files from zeitgeist. I don't want certain, umm... pictures and um.... movie file thumbnails appearing when I'm in a work setting....

Changed in unity-lens-files:
status: In Progress → Fix Committed
Changed in unity-lens-applications:
status: In Progress → Fix Committed
Omer Akram (om26er) on 2012-01-23
Changed in unity-lens-files (Ubuntu):
status: In Progress → Fix Committed
Changed in unity-lens-applications (Ubuntu):
status: Confirmed → Fix Committed
Changed in unity-lens-music:
status: In Progress → Fix Committed
Changed in unity-lens-music (Ubuntu):
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → High
status: Confirmed → Fix Committed
Changed in unity-lens-applications (Ubuntu):
importance: Undecided → High
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
Changed in unity-2d (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
Omer Akram (om26er) on 2012-01-23
Changed in unity (Ubuntu):
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
Changed in unity-2d:
assignee: nobody → Tiago Salem Herrmann (tiagosh)
Changed in unity-2d (Ubuntu):
assignee: nobody → Tiago Salem Herrmann (tiagosh)
Omer Akram (om26er) on 2012-01-23
Changed in unity-2d:
status: Triaged → In Progress
Changed in unity-2d (Ubuntu):
status: Triaged → In Progress
Changed in unity:
milestone: backlog → 5.2.0
Omer Akram (om26er) on 2012-01-30
Changed in unity:
status: In Progress → Fix Committed
Changed in unity (Ubuntu):
status: In Progress → Fix Committed
Didier Roche (didrocks) on 2012-02-03
Changed in unity:
status: Fix Committed → Fix Released
Changed in unity-lens-applications:
status: Fix Committed → Fix Released
Changed in unity-lens-files:
status: Fix Committed → Fix Released
Changed in unity-lens-music:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.4 KiB)

This bug was fixed in the package unity - 5.2.0-0ubuntu1

---------------
unity (5.2.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Unity needs a way to switch (tab) between windows on current workspace
      (LP: #863399)
    - compiz crashed with SIGSEGV in BamfLauncherIcon::NameForWindow()
      (LP: #865840)
    - Gradual degradation in desktop performance. (LP: #888039)
    - compiz (unity) crashes with SIGSEGV when a window is minimized.
      (LP: #918329)
    - FavoriteStore external change support (LP: #681503)
    - Launcher - Make Launcher left of screen reveal more responsive and less
      prone to false positives (LP: #765819)
    - Window auto-maximise functionality should be disabled on monitors with a
      resolution above 1024 x 600 (LP: #797808)
    - Dash: very high latency responding to input (LP: #828582)
    - Dash - Behaviour of the 'All' button in the Dash filters broken in
      several ways (LP: #841864)
    - alt-tab - The app title in the top left of the top bar should change as
      the alt-tab focus changes (LP: #855516)
    - Keyboard shortcut - Add keyboard shortcut hint overlay that is displayed
      when a user presses and holds the Super key (LP: #855532)
    - Unity crashes when started in an environment without utouch support
      (LP: #860707)
    - Dash - Remove Dash Home shortcut icons (LP: #885738)
    - Dash - Most Frequently Used apps change to Recently Used, without
      Launcher favorites (LP: #893214)
    - Should have a launcher on every monitor (LP: #915944)
    - Launcher autohide behaviour on multi-monitor (LP: #915946)
    - the unity wrapper should kill compiz before restarting it (LP: #919132)
    - Launcher - Implement workspace/launcher cross interactions (LP: #690143)
    - Application icons should only display windows from the current workspace
      in the window spread (LP: #689733)
    - Notification area ("system tray") missing when using dual monitors of
      different sizes, with their bottoms aligned (LP: #778256)
    - Clicking Nautilus launcher icon fails to open a Nautilus file explorer
      window when copying a file and all other Nautilus windows are closed /
      bamf should skip the taskbar (LP: #784804)
    - Dash - the search box is not aligned correctly relative to the Launcher
      BFB button (LP: #838904)
    - Dash - A expand/collapse arrow is missing from all the filter category
      headers (LP: #841870)
    - Dash - the filter buttons should not have a mouse over state
      (LP: #838901)
    - Dash - the "Filter results" text is the wrong size, wrong font weight,
      and aligned incorrectly in both the vertical and horizontal axis
      (LP: #863240)
    - Add SUPER+TAB switching mode that enables the user to switch
      applications via the Launcher (LP: #891620)
    - Software Centre - automatically add app icon to launcher (LP: #761851)
    - Compiz add transparency to titlebar along with the panel (LP: #912682)
    - The search box is too opaque and dark (LP: #913717)
    - Dash - Make statefulness of Dash Home and Dash Lenses consistent
      (LP: #914759)
    - Unity 5.0: "All" button for filters render as "..." (LP: #91...

Read more...

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-applications - 5.2.0-0ubuntu1

---------------
unity-lens-applications (5.2.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Dash - Remove Dash Home shortcut icons (LP: #885738)
    - Dash - Most Frequently Used apps change to Recently Used, without
      Launcher favorites (LP: #893214)
    - Apps Lens passes wrong arguments to Zeitgeist search (LP: #912719)
  * debian/control:
    - ensure we continue building with vala 0.14
    - put the transitional package to extra priority
    - build-dep on latest libunity-dev
 -- Didier Roche <email address hidden> Fri, 03 Feb 2012 11:40:17 +0100

Changed in unity-lens-applications (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-files - 5.2.0-0ubuntu1

---------------
unity-lens-files (5.2.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Dash - Remove Dash Home shortcut icons (LP: #885738)
    - Include patches for logging file saves (LP: #920961)
  * debian/control:
    - build with vala 0.14
    - put the transitional package to extra priority
    - build-dep on latest libunity-dev
 -- Didier Roche <email address hidden> Fri, 03 Feb 2012 11:34:23 +0100

Changed in unity-lens-files (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-music - 5.2.0-0ubuntu1

---------------
unity-lens-music (5.2.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Dash - Remove Dash Home shortcut icons (LP: #885738)
    - Dash - Genre filter category in the Music Lens should use a 3 column
      layout (LP: #841902)
  * debian/control:
    - build with vala 0.14
    - build-dep on latest libunity-dev
 -- Didier Roche <email address hidden> Fri, 03 Feb 2012 11:33:57 +0100

Changed in unity-lens-music (Ubuntu):
status: Fix Committed → Fix Released
Changed in unity-2d:
status: In Progress → Fix Released
Changed in unity-2d (Ubuntu):
status: In Progress → Fix Released
Danillo (danillo) wrote :

In Precise Beta 1, the home lens has been updated with recent applications and files, but the applications and files lenses still show recent applications and files. This is redundant, because the user will go to the home lens for that.

Nick Tait (jnick-tait) on 2012-03-08
tags: added: furtherdesignreviewrequiredp
Muhammad Nabil (ghogaru) wrote :

Sorry guys but in my opinion the current implementation of unity dash home with the "recent apps", "recent files" and "download" are somewhat distracting, unuseful and not appealing. Maybe we could put apps & files categories on the dash home?

John Lea (johnlea) on 2012-04-26
Changed in ayatana-design:
status: Fix Committed → Fix Released
tags: added: reviewedbydesignp
removed: furtherdesignreviewrequiredp udp
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers